import pymunk

from cocos.sprite import Sprite

from roomrpg import cfg
from roomrpg.data import get_image


class Arena(Sprite):
    def __init__(self, game):
        super(Arena, self).__init__(get_image('arena.png'))
        self.image_anchor = (0, 0)

        self.walls = self._init_walls(game)

    def _init_walls(self, game):
        result = []
        for c1, c2 in game.geom.get_corner_pairs():
            wall = Wall(game, c1, c2)
            result.append(wall)
        return result


class Wall(object):
    def __init__(self, game, point_1, point_2):
        width = cfg.PHYSICS_SEGMENT_WIDTH

        self.cbody = pymunk.Body()
        self.cshape = pymunk.Segment(self.cbody, point_1, point_2, width)
        self.cshape.collision_type = cfg.COLL_WALL
        self.cshape.elasticity = 1.0

        game.add(self)
