from pymunk import Vec2d


GAME_NAME = 'One Room RPG'
DATA_DIR = 'data'
W = 800
H = 600

ARENA_PADDING = 20

PHYSICS_SEGMENT_WIDTH = 1.0
PHYSICS_STEPS_PER_LOOP = 10

COLL_PLAYER = 1
COLL_WALL = 2
COLL_ENEMY = 3

PLAYER_RADIUS = 10.0
PLAYER_SPEED = 200.0
PLAYER_LEVELS = [
    # (exp, lvl)
    (5, 2),
    (10, 3),
    (15, 4),
    (20, 5),
]

SHADOW_DELTA = Vec2d(3.0, -3.0)

ENEMY_TYPE_0_COUNT = 15
ENEMY_TYPE_1_COUNT = 4
ENEMY_NOT_ALLOWED_PADDING = ARENA_PADDING + 100.0
ENEMY_TYPES = [
    {
        'img': 'enemy-1.png',
        'speed': 40.0,
        'lvl': 1,
        'radius': 10,
        'exp_gain': 1,
    },
    {
        'img': 'enemy-2.png',
        'speed': 20.0,
        'lvl': 3,
        'radius': 20,
        'exp_gain': 3,
    },
    {
        'img': 'enemy-3.png',
        'speed': 30.0,
        'lvl': 5,
        'radius': 35,
        'exp_gain': 20,
    },
]

UI_PADDING = ARENA_PADDING + 10.0
UI_INFO_FMT = 'LVL {:02d}  EXP {:02d}'
UI_EXP_GAIN_FMT = '+{}xp'
UI_LVL_GAIN_TXT = 'level up'
UI_KILLED_FMT = '-lvl {}'
