from cocos.scene import Scene

from roomrpg.actors.player import Player
from roomrpg.layers.gameobjects import GameObjects
from roomrpg.layers.room import Room
from roomrpg.layers.ui import UI


class MainScene(Scene):
    def __init__(self, game):
        super(MainScene, self).__init__()

        player = Player(game)

        ui = UI(game, player)
        room = Room(game)
        objects = GameObjects(game, player, ui, MainScene)

        self.add(room)
        self.add(objects)
        self.add(ui)
